/**
 * Created by yineng on 2016-12-20.
 */
odoo.define('time_widget.form_time', function (require) {
'use strict';

var form_common = require('web.form_common');
var core = require('web.core');
var QWeb = core.qweb;
var _lt = core._lt;
var _t = core._t;

var XiaoYunFormTime = form_common.AbstractField.extend({
    init: function () {
        this._super.apply(this, arguments);
        this.set("value", "");
    },
    start: function () {
        this.on("change:effective_readonly", this, function () {
            this.display_field();
            this.render_value();
        });
        this.display_field();
        return this._super();
    },

    display_field: function () {
        var self = this;
        this.$el.html(QWeb.render("FormTime", {widget: this}));
        if (!this.get("effective_readonly")) {
            this.$("div").datetimepicker({
                format: 'HH:mm:ss',
                pickDate: false,
                pickTime: true,
                useMinutes: true,
                useSeconds: true,
                minuteStepping: 1,
                icons: {
                    time: 'fa fa-clock-o',
                    date: 'fa fa-calendar',
                    up: 'fa fa-chevron-up',
                    down: 'fa fa-chevron-down'
                },
            }).on('change', function (target) {
                self.internal_set_value(target.currentTarget.firstElementChild.value);
            });
        }
    },

    render_value: function () {
        if (this.get("effective_readonly")) {
            this.$el.text(this.get("value"));
        }
        else {
            if (this.get("value") == false) {
                this.$("input").val("");
            } else {
                this.$("input").val(this.get("value"));
            }
        }
    }
});

core.form_widget_registry.add('form_time', XiaoYunFormTime);
});
